summaryrefslogtreecommitdiff
path: root/tests/tests/push-nextdgit
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2013-11-20 18:34:30 +0000
committerIan Jackson <ijackson@chiark.greenend.org.uk>2013-11-24 17:45:28 +0000
commit6e3d6d474b8e0a9333231d14616e407ddf25db16 (patch)
tree72f0cd89f3dc877c4c6af45a0cc38e83024503be /tests/tests/push-nextdgit
parent53d8d1df6eec4a6169e7f9425266bc43bdcbf154 (diff)
autopkgtests: push-nextdgit: new test
Diffstat (limited to 'tests/tests/push-nextdgit')
-rw-r--r--tests/tests/push-nextdgit22
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/tests/push-nextdgit b/tests/tests/push-nextdgit
new file mode 100644
index 0000000..2f74407
--- /dev/null
+++ b/tests/tests/push-nextdgit
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-archive pari-extra 3-1
+t-git pari-extra 3-1
+
+t-dgit clone $p
+
+cd $p
+t-cloned-fetched-good
+
+v=3-2~dummy1
+t-apply-diff 3-1 $v
+debcommit -a
+
+t-dgit --dpkg-buildpackage:-d build
+t-dgit push
+
+t-pushed-good dgit/sid
+
+echo ok.